import os

import responses

import inventory_provider
from inventory_provider import juniper

TEST_DATA_FILENAME = os.path.realpath(os.path.join(
    inventory_provider.__path__[0],
    '..',
    'test',
    'data',
    'junosspace-devices.xml'))


@responses.activate
def test_junosspace_devices_parsing(data_config):
    data_config['junosspace']['api'] = 'http://sabababa'
    with open(TEST_DATA_FILENAME) as f:
        responses.add(
            method=responses.GET,
            url = data_config['junosspace']['api'] + '/device-management/devices',
            body=f.read())

    doc = juniper.load_routers_from_junosspace(data_config['junosspace'])
    assert doc
